package LogViewer;

import javafx.beans.property.SimpleStringProperty;

public class Entry {

	private final SimpleStringProperty time;
	private final SimpleStringProperty mode;
	private final SimpleStringProperty tag;
	private final SimpleStringProperty message;
	
	public Entry(final String time, final String mode, final String tag, final String message) {
		this.time = new SimpleStringProperty(time);
		this.mode = new SimpleStringProperty(mode);
		this.tag = new SimpleStringProperty(tag);
		this.message = new SimpleStringProperty(message);
	}

	public String getTime() {
		return time.get();
	}

	public String getMode() {
		return mode.get();
	}

	public String getTag() {
		return tag.get();
	}

	public String getMessage() {
		return message.get();
	}
	
	public boolean hasMode(String mode) {
		return this.mode.get().equals(mode);
	}
	
	public static Entry fromLine(String line) {
		String[] split = line.split("\\|");
		return new Entry(split[0],split[1],split[2],split[3]);
	}

}
